#1957 closed defect (fixed)

Unprotected macro arguments

Reported by: seb Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: minor Keywords:
Cc: Blocked By:
Blocking:

Description

(from Werner Almesberger)

Index: coremutex.h
===================================================================
RCS file: /usr1/CVS/rtems/cpukit/score/include/rtems/score/coremutex.h,v
retrieving revision 1.45
diff -u -r1.45 coremutex.h
--- coremutex.h 2 Aug 2011 13:59:48 -0000 1.45
+++ coremutex.h 8 Nov 2011 23:13:01 -0000
@@ -395,8 +395,8 @@

INTERNAL_ERROR_MUTEX_OBTAIN_FROM_BAD_STATE \
); \

} \

  • if ( _CORE_mutex_Seize_interrupt_trylock( _the_mutex, &_level ) ) { \
  • if ( !_wait ) { \

+ if ( _CORE_mutex_Seize_interrupt_trylock( _the_mutex, &(_level) ) ) { \
+ if ( !(_wait) ) { \

_ISR_Enable( _level ); \
_Thread_Executing->Wait.return_code = \

CORE_MUTEX_STATUS_UNSATISFIED_NOWAIT; \

Index: threadmp.inl
===================================================================
RCS file: /usr1/CVS/rtems/cpukit/score/inline/rtems/score/threadmp.inl,v
retrieving revision 1.19
diff -u -r1.19 threadmp.inl
--- threadmp.inl 5 Sep 2008 14:50:10 -0000 1.19
+++ threadmp.inl 8 Nov 2011 23:11:20 -0000
@@ -38,7 +38,7 @@

  • _MPCI_Receive_server_tcb until it is used. */

#define _Thread_MP_Is_receive(_the_thread) \

  • (_the_thread == _MPCI_Receive_server_tcb)

+ ((_the_thread) == _MPCI_Receive_server_tcb)

/

  • This routine frees a proxy control block to the

_

Change History (2)

comment:1 Changed on Nov 9, 2011 at 5:46:56 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

I had to manually recreate these changes. Next time save the output to a file and attach it. It really makes live easier. Cutting and pasting patches is unreliable.

But this is applied to all applicable branches and the head. In case you are curious, we keep a running list of PRs for the next release:

http://www.rtems.org/wiki/index.php/4.10_Release_Notes#Release_4.10.2_Changes

Thanks.

comment:2 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.